Subject: 25.3.50; elpa auctex will not update or delete

From: Elliott Roper <[email-masked]>
Date: Fri, 27 Nov 2020 19:42:59 +0000

M-x list-packages shows AucTex at version 11.88.6
an attempt to update comes back with either
AucTeX 11.92.tar not found
or

Failed to verify signature archive-contents.sig:
No public key for 066DAFCB81E42C40 created at 2020-11-27T10:05:05+0000 using RSA
Command output:
gpg: WARNING: unsafe permissions on homedir '/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/gnupg'
gpg: Signature made Fri 27 Nov 10:05:05 2020 GMT
gpg:                using RSA key C433554766D3DDC64221BFAA066DAFCB81E42C40
gpg: Can't check signature: No public key

The key ID was shown in the error message, but adding it to my gpg keyring
even though it looked convincing
Name: GNU ELPA Signing Agent, e-mail [email-masked]
it did not improve matters

M-x list-packages will not let me delete AucTeX, it autocompletes to either of the three in this grab from the list

  auctex-latexmk     1.0.1         available  melpa-s... Add LatexMk support to AUCTeX
  auctex-latexmk     20160923.7    available  melpa      Add LatexMk support to AUCTeX
  auctex-lua         20151121.810  available  melpa      Lua editing support for AUCTeX

Near the end of the packages list just above the built-ins I see

  auctex             11.88.6       installed             Integrated environment for *TeX*

but that's the one I am trying to update or delete but I cannot get anything to happen.

I tried another route, downloading auctex-12.3.1.tar from http://elpa.gnu.org/packages/auctex.html
but cannot proceed because I can find no instructioins of where to put it.

I also tried deleting and re-installing Aquamacs.app stable version 3.5 instead of the 'nightly' I have been using.
This seemed reasonable because Aquamacs documentation said the AucTeX was bundled into it.

M-x list-packages then reported the same as above.
At present I cannot process LaTeX documents into pdf. ^C^A is not defined and using the LaTeX command from the
Aquamacs menubar offers a LaTeX error after 5 pages (the length of the expected pdf) with nothing in the error buffer.

I guess the problem is between my inexperience and the elpa mechanism 

________________________________________

In Aquamacs 3.5  GNU Emacs 25.3.50.1 (x86_64-apple-darwin16.7.0, NS appkit-1504.83 Version 10.12.6 (Build 16G2016))
dated 2019-08-18 rev. 70b7398da506a9a53867909fa12e5cb3a07ba5c9 built on watson.local
Repository revision: 70b7398da506a9a53867909fa12e5cb3a07ba5c9
Operating System: OS X Version 10.16 (Build 20B29)
Configured using:
'configure --with-ns --without-x 'CFLAGS=-arch x86_64 -O3 -g
-mtune=corei7 -mmacosx-version-min=10.11' 'LDFLAGS=-arch x86_64 -O3 -g
-mtune=corei7 -mmacosx-version-min=10.11'
CPPFLAGS=-I/usr/local/opt/libxml2/include'

Configured features:
NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS

Important settings:
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Text

Minor modes in effect:
  TeX-PDF-mode: t
  TeX-source-correlate-mode: t
  shell-dirtrack-mode: t
  savehist-mode: t
  smart-frame-positioning-mode: t
  save-place-mode: t
  recentf-mode: t
  osx-key-mode: t
  tabbar-mwheel-mode: t
  tabbar-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  cua-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Recent messages:
Package menu: Operation started [Upgrading 1]
package-install-from-archive: http://elpa.gnu.org/packages/auctex-11.90.2.tar: Not found
⇧X is undefined
insert-for-yank: Buffer is read-only: #<buffer *Packages*>
Quit
user-error: No previous help buffer
I is undefined
Quit [2 times]
<header-line> <wheel-right> is undefined
Quit [2 times]

Load-path shadows:
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/tex-site hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/tex-site
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/auctex hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/plain-tex hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/plain-tex
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/auctex hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/auctex
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/texmathp hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/texmathp
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/tex-buf hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/tex-buf
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/prv-emacs hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/prv-emacs
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/toolbar-x hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/toolbar-x
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/context hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/context
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/tex-style hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/tex-style
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/tex-info hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/tex-info
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/prv-xemacs hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/prv-xemacs
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/font-latex hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/font-latex
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/latex hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/latex
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/tex-fold hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/tex-fold
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/tex-wizard hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/tex-wizard
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/bib-cite hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/bib-cite
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/tex hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/tex
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/preview hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/preview
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/tex-mik hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/tex-mik
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/tex-bar hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/tex-bar
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/multi-prompt hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/multi-prompt
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/tex-jp hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/tex-jp
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/context-en hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/context-en
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/context-nl hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/context-nl
/Users/elliott/Library/Preferences/Aquamacs Emacs/Packages/elpa/auctex-11.88.6/tex-font hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/auctex/tex-font

Features:
(shadow sort mail-extr emacsbug lisp-mnt mm-archive message format-spec
rfc822 mml mml-sec mailabbrev gmm-utils mailheader mm-decode mm-bodies
mm-encode url-handlers network-stream nsm starttls url-http tls gnutls
mail-parse rfc2231 url-gw url-cache url-auth url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf url-util
url-parse auth-source cl-seq eieio eieio-core gnus-util password-cache
url-vars mailcap pp reftex-dcr reftex-auc reftex reftex-vars bib-cite
tex-fold preview prv-emacs tex-bar tex-buf toolbar-x noutline outline
font-latex latex tex-style tex crm tex-mode compile latexenc shell
pcomplete comint ansi-color ring char-fold misearch multi-isearch
conf-mode epa-file dired cursor-sensor epa derived epg parse-time
manoj-dark-theme edmacro kmacro finder-inf info package epg-config seq
load-emacs-plugins aquamacs-mode-defaults auctex-config server
preview-latex auto-loads tex-site aquamacs-aux savehist
one-buffer-one-frame byte-opt bytecomp byte-compile cl-extra cconv
smart-frame-positioning drews_init color-theme-autoloads view saveplace
visual-line disp-table aquamacs-bug aquamacs-autoface-mode aquamacs-cl
aquamacs-editing recentf tree-widget cus-edit wid-edit osxkeys
emulate-mac-keyboard-mode frame-cmds strings misc-fns thingatpt+
thingatpt frame-fns avoid aquamacs-mac-fontsets fit-frame
aquamacs-frame-setup sendmail rfc2047 rfc2045 ietf-drums mm-util
help-fns help-mode mail-prsvr mail-utils aquamacs-tabbar tabbar-window
cl-macs cl cl-loaddefs cl-lib cus-start cus-load tabbar easy-mmode
load-emacs-pre-plugins aquamacs-site-start cocoa-compatibility mule-util
matlab-load smart-dnd revive aquamacs-redo check-for-updates
aquamacs-menu aquamacs osx_defaults aquamacs-tool-bar gv
mac-extra-functions aquamacs-tools aquamacs-macros time-date advice
timezone paren delsel cua-base easymenu tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel ns-win subr-x pcase
ucs-normalize term/common-win tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment elisp-mode lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote kqueue cocoa ns multi-tty
make-network-process emacs)

Memory information:
((conses 16 1580335 173294)
(symbols 48 38183 0)
(miscs 40 581 1232)
(strings 32 183456 32490)
(string-bytes 1 4715411)
(vectors 16 70348)
(vector-slots 8 1137690 35342)
(floats 8 395 468)
(intervals 56 173294 1899)
(buffers 976 63))

Elliott Roper
+44 7454 402200 mobile, facetime
01663 747334 UK landline